Index: cpukit/score/ChangeLog
===================================================================
--- cpukit/score/ChangeLog	(revision 3450adcd61056563de951c1d7b99bfb284fbb96b)
+++ cpukit/score/ChangeLog	(revision 31728d9b5ea019b40c8b975469bdce175360efa9)
@@ -1,2 +1,7 @@
+2003-11-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Add $(dirstamp) to preinstallation rules.
+	Remove MACROS.
+
 2003-11-25	Joel Sherrill <joel@OARcorp.com>
 
Index: cpukit/score/Makefile.am
===================================================================
--- cpukit/score/Makefile.am	(revision 3450adcd61056563de951c1d7b99bfb284fbb96b)
+++ cpukit/score/Makefile.am	(revision 31728d9b5ea019b40c8b975469bdce175360efa9)
@@ -59,8 +59,6 @@
     inline/rtems/score/objectmp.inl inline/rtems/score/threadmp.inl
 endif
-endif
-
+else
 ## macros
-if MACROS
 include_rtems_score_HEADERS += macros/rtems/score/address.inl \
     macros/rtems/score/chain.inl macros/rtems/score/coremsg.inl \
@@ -169,318 +167,319 @@
 PREINSTALL_FILES =
 
-$(PROJECT_INCLUDE)/rtems:
+$(PROJECT_INCLUDE)/rtems/$(dirstamp):
 	@$(mkinstalldirs) $(PROJECT_INCLUDE)/rtems
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems
-
-$(PROJECT_INCLUDE)/rtems/debug.h: include/rtems/debug.h
-	$(INSTALL_DATA) $< $@
+	@: > $(PROJECT_INCLUDE)/rtems/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/$(dirstamp)
+
+$(PROJECT_INCLUDE)/rtems/debug.h: include/rtems/debug.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/debug.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/debug.h
 
-$(PROJECT_INCLUDE)/rtems/system.h: include/rtems/system.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/system.h: include/rtems/system.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/system.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/system.h
 
-$(PROJECT_INCLUDE)/rtems/seterr.h: include/rtems/seterr.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/seterr.h: include/rtems/seterr.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/seterr.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/seterr.h
 
-$(PROJECT_INCLUDE)/rtems/score:
+$(PROJECT_INCLUDE)/rtems/score/$(dirstamp):
 	@$(mkinstalldirs) $(PROJECT_INCLUDE)/rtems/score
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score
-
-$(PROJECT_INCLUDE)/rtems/score/address.h: include/rtems/score/address.h
-	$(INSTALL_DATA) $< $@
+	@: > $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+
+$(PROJECT_INCLUDE)/rtems/score/address.h: include/rtems/score/address.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/address.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/address.h
 
-$(PROJECT_INCLUDE)/rtems/score/apiext.h: include/rtems/score/apiext.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/apiext.h: include/rtems/score/apiext.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/apiext.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/apiext.h
 
-$(PROJECT_INCLUDE)/rtems/score/apimutex.h: include/rtems/score/apimutex.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/apimutex.h: include/rtems/score/apimutex.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/apimutex.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/apimutex.h
 
-$(PROJECT_INCLUDE)/rtems/score/bitfield.h: include/rtems/score/bitfield.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/bitfield.h: include/rtems/score/bitfield.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/bitfield.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/bitfield.h
 
-$(PROJECT_INCLUDE)/rtems/score/chain.h: include/rtems/score/chain.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/chain.h: include/rtems/score/chain.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/chain.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/chain.h
 
-$(PROJECT_INCLUDE)/rtems/score/context.h: include/rtems/score/context.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/context.h: include/rtems/score/context.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/context.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/context.h
 
-$(PROJECT_INCLUDE)/rtems/score/copyrt.h: include/rtems/score/copyrt.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/copyrt.h: include/rtems/score/copyrt.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/copyrt.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/copyrt.h
 
-$(PROJECT_INCLUDE)/rtems/score/coremsg.h: include/rtems/score/coremsg.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/coremsg.h: include/rtems/score/coremsg.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/coremsg.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/coremsg.h
 
-$(PROJECT_INCLUDE)/rtems/score/coremutex.h: include/rtems/score/coremutex.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/coremutex.h: include/rtems/score/coremutex.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/coremutex.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/coremutex.h
 
-$(PROJECT_INCLUDE)/rtems/score/coresem.h: include/rtems/score/coresem.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/coresem.h: include/rtems/score/coresem.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/coresem.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/coresem.h
 
-$(PROJECT_INCLUDE)/rtems/score/heap.h: include/rtems/score/heap.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/heap.h: include/rtems/score/heap.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/heap.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/heap.h
 
-$(PROJECT_INCLUDE)/rtems/score/interr.h: include/rtems/score/interr.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/interr.h: include/rtems/score/interr.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/interr.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/interr.h
 
-$(PROJECT_INCLUDE)/rtems/score/isr.h: include/rtems/score/isr.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/isr.h: include/rtems/score/isr.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/isr.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/isr.h
 
-$(PROJECT_INCLUDE)/rtems/score/object.h: include/rtems/score/object.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/object.h: include/rtems/score/object.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/object.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/object.h
 
-$(PROJECT_INCLUDE)/rtems/score/priority.h: include/rtems/score/priority.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/priority.h: include/rtems/score/priority.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/priority.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/priority.h
 
-$(PROJECT_INCLUDE)/rtems/score/stack.h: include/rtems/score/stack.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/stack.h: include/rtems/score/stack.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/stack.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/stack.h
 
-$(PROJECT_INCLUDE)/rtems/score/states.h: include/rtems/score/states.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/states.h: include/rtems/score/states.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/states.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/states.h
 
-$(PROJECT_INCLUDE)/rtems/score/sysstate.h: include/rtems/score/sysstate.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/sysstate.h: include/rtems/score/sysstate.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/sysstate.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/sysstate.h
 
-$(PROJECT_INCLUDE)/rtems/score/thread.h: include/rtems/score/thread.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/thread.h: include/rtems/score/thread.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/thread.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/thread.h
 
-$(PROJECT_INCLUDE)/rtems/score/threadq.h: include/rtems/score/threadq.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/threadq.h: include/rtems/score/threadq.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/threadq.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/threadq.h
 
-$(PROJECT_INCLUDE)/rtems/score/tod.h: include/rtems/score/tod.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/tod.h: include/rtems/score/tod.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/tod.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/tod.h
 
-$(PROJECT_INCLUDE)/rtems/score/tqdata.h: include/rtems/score/tqdata.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/tqdata.h: include/rtems/score/tqdata.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/tqdata.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/tqdata.h
 
-$(PROJECT_INCLUDE)/rtems/score/userext.h: include/rtems/score/userext.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/userext.h: include/rtems/score/userext.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/userext.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/userext.h
 
-$(PROJECT_INCLUDE)/rtems/score/watchdog.h: include/rtems/score/watchdog.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/watchdog.h: include/rtems/score/watchdog.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/watchdog.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/watchdog.h
 
-$(PROJECT_INCLUDE)/rtems/score/wkspace.h: include/rtems/score/wkspace.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/wkspace.h: include/rtems/score/wkspace.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/wkspace.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/wkspace.h
 
-$(PROJECT_INCLUDE)/rtems/score/cpuopts.h: include/rtems/score/cpuopts.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/cpuopts.h: include/rtems/score/cpuopts.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/cpuopts.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/cpuopts.h
 
 if HAS_MP
-$(PROJECT_INCLUDE)/rtems/score/mpci.h: include/rtems/score/mpci.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/mpci.h: include/rtems/score/mpci.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/mpci.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/mpci.h
 
-$(PROJECT_INCLUDE)/rtems/score/mppkt.h: include/rtems/score/mppkt.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/mppkt.h: include/rtems/score/mppkt.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/mppkt.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/mppkt.h
 
-$(PROJECT_INCLUDE)/rtems/score/objectmp.h: include/rtems/score/objectmp.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/objectmp.h: include/rtems/score/objectmp.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/objectmp.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/objectmp.h
 
-$(PROJECT_INCLUDE)/rtems/score/threadmp.h: include/rtems/score/threadmp.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/threadmp.h: include/rtems/score/threadmp.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/threadmp.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/threadmp.h
 endif
 
 if INLINE
-$(PROJECT_INCLUDE)/rtems/score/address.inl: inline/rtems/score/address.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/address.inl: inline/rtems/score/address.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/address.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/address.inl
 
-$(PROJECT_INCLUDE)/rtems/score/chain.inl: inline/rtems/score/chain.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/chain.inl: inline/rtems/score/chain.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/chain.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/chain.inl
 
-$(PROJECT_INCLUDE)/rtems/score/coremsg.inl: inline/rtems/score/coremsg.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/coremsg.inl: inline/rtems/score/coremsg.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/coremsg.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/coremsg.inl
 
-$(PROJECT_INCLUDE)/rtems/score/coremutex.inl: inline/rtems/score/coremutex.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/coremutex.inl: inline/rtems/score/coremutex.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/coremutex.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/coremutex.inl
 
-$(PROJECT_INCLUDE)/rtems/score/coresem.inl: inline/rtems/score/coresem.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/coresem.inl: inline/rtems/score/coresem.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/coresem.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/coresem.inl
 
-$(PROJECT_INCLUDE)/rtems/score/heap.inl: inline/rtems/score/heap.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/heap.inl: inline/rtems/score/heap.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/heap.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/heap.inl
 
-$(PROJECT_INCLUDE)/rtems/score/isr.inl: inline/rtems/score/isr.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/isr.inl: inline/rtems/score/isr.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/isr.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/isr.inl
 
-$(PROJECT_INCLUDE)/rtems/score/object.inl: inline/rtems/score/object.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/object.inl: inline/rtems/score/object.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/object.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/object.inl
 
-$(PROJECT_INCLUDE)/rtems/score/priority.inl: inline/rtems/score/priority.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/priority.inl: inline/rtems/score/priority.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/priority.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/priority.inl
 
-$(PROJECT_INCLUDE)/rtems/score/stack.inl: inline/rtems/score/stack.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/stack.inl: inline/rtems/score/stack.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/stack.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/stack.inl
 
-$(PROJECT_INCLUDE)/rtems/score/states.inl: inline/rtems/score/states.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/states.inl: inline/rtems/score/states.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/states.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/states.inl
 
-$(PROJECT_INCLUDE)/rtems/score/sysstate.inl: inline/rtems/score/sysstate.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/sysstate.inl: inline/rtems/score/sysstate.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/sysstate.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/sysstate.inl
 
-$(PROJECT_INCLUDE)/rtems/score/thread.inl: inline/rtems/score/thread.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/thread.inl: inline/rtems/score/thread.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/thread.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/thread.inl
 
-$(PROJECT_INCLUDE)/rtems/score/tod.inl: inline/rtems/score/tod.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/tod.inl: inline/rtems/score/tod.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/tod.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/tod.inl
 
-$(PROJECT_INCLUDE)/rtems/score/tqdata.inl: inline/rtems/score/tqdata.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/tqdata.inl: inline/rtems/score/tqdata.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/tqdata.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/tqdata.inl
 
-$(PROJECT_INCLUDE)/rtems/score/userext.inl: inline/rtems/score/userext.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/userext.inl: inline/rtems/score/userext.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/userext.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/userext.inl
 
-$(PROJECT_INCLUDE)/rtems/score/watchdog.inl: inline/rtems/score/watchdog.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/watchdog.inl: inline/rtems/score/watchdog.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/watchdog.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/watchdog.inl
 
-$(PROJECT_INCLUDE)/rtems/score/wkspace.inl: inline/rtems/score/wkspace.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/wkspace.inl: inline/rtems/score/wkspace.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/wkspace.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/wkspace.inl
 
 if HAS_MP
-$(PROJECT_INCLUDE)/rtems/score/mppkt.inl: inline/rtems/score/mppkt.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/mppkt.inl: inline/rtems/score/mppkt.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/mppkt.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/mppkt.inl
 
-$(PROJECT_INCLUDE)/rtems/score/objectmp.inl: inline/rtems/score/objectmp.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/objectmp.inl: inline/rtems/score/objectmp.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/objectmp.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/objectmp.inl
 
-$(PROJECT_INCLUDE)/rtems/score/threadmp.inl: inline/rtems/score/threadmp.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/threadmp.inl: inline/rtems/score/threadmp.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/threadmp.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/threadmp.inl
 endif
-endif
-
-if MACROS
-$(PROJECT_INCLUDE)/rtems/score/address.inl: macros/rtems/score/address.inl
-	$(INSTALL_DATA) $< $@
+
+else
+$(PROJECT_INCLUDE)/rtems/score/address.inl: macros/rtems/score/address.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/address.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/address.inl
 
-$(PROJECT_INCLUDE)/rtems/score/chain.inl: macros/rtems/score/chain.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/chain.inl: macros/rtems/score/chain.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/chain.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/chain.inl
 
-$(PROJECT_INCLUDE)/rtems/score/coremsg.inl: macros/rtems/score/coremsg.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/coremsg.inl: macros/rtems/score/coremsg.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/coremsg.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/coremsg.inl
 
-$(PROJECT_INCLUDE)/rtems/score/coremutex.inl: macros/rtems/score/coremutex.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/coremutex.inl: macros/rtems/score/coremutex.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/coremutex.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/coremutex.inl
 
-$(PROJECT_INCLUDE)/rtems/score/coresem.inl: macros/rtems/score/coresem.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/coresem.inl: macros/rtems/score/coresem.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/coresem.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/coresem.inl
 
-$(PROJECT_INCLUDE)/rtems/score/heap.inl: macros/rtems/score/heap.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/heap.inl: macros/rtems/score/heap.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/heap.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/heap.inl
 
-$(PROJECT_INCLUDE)/rtems/score/isr.inl: macros/rtems/score/isr.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/isr.inl: macros/rtems/score/isr.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/isr.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/isr.inl
 
-$(PROJECT_INCLUDE)/rtems/score/object.inl: macros/rtems/score/object.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/object.inl: macros/rtems/score/object.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/object.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/object.inl
 
-$(PROJECT_INCLUDE)/rtems/score/priority.inl: macros/rtems/score/priority.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/priority.inl: macros/rtems/score/priority.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/priority.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/priority.inl
 
-$(PROJECT_INCLUDE)/rtems/score/stack.inl: macros/rtems/score/stack.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/stack.inl: macros/rtems/score/stack.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/stack.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/stack.inl
 
-$(PROJECT_INCLUDE)/rtems/score/states.inl: macros/rtems/score/states.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/states.inl: macros/rtems/score/states.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/states.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/states.inl
 
-$(PROJECT_INCLUDE)/rtems/score/sysstate.inl: macros/rtems/score/sysstate.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/sysstate.inl: macros/rtems/score/sysstate.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/sysstate.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/sysstate.inl
 
-$(PROJECT_INCLUDE)/rtems/score/thread.inl: macros/rtems/score/thread.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/thread.inl: macros/rtems/score/thread.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/thread.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/thread.inl
 
-$(PROJECT_INCLUDE)/rtems/score/tod.inl: macros/rtems/score/tod.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/tod.inl: macros/rtems/score/tod.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/tod.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/tod.inl
 
-$(PROJECT_INCLUDE)/rtems/score/tqdata.inl: macros/rtems/score/tqdata.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/tqdata.inl: macros/rtems/score/tqdata.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/tqdata.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/tqdata.inl
 
-$(PROJECT_INCLUDE)/rtems/score/userext.inl: macros/rtems/score/userext.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/userext.inl: macros/rtems/score/userext.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/userext.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/userext.inl
 
-$(PROJECT_INCLUDE)/rtems/score/watchdog.inl: macros/rtems/score/watchdog.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/watchdog.inl: macros/rtems/score/watchdog.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/watchdog.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/watchdog.inl
 
-$(PROJECT_INCLUDE)/rtems/score/wkspace.inl: macros/rtems/score/wkspace.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/wkspace.inl: macros/rtems/score/wkspace.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/wkspace.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/wkspace.inl
 
 if HAS_MP
-$(PROJECT_INCLUDE)/rtems/score/mppkt.inl: macros/rtems/score/mppkt.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/mppkt.inl: macros/rtems/score/mppkt.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/mppkt.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/mppkt.inl
 
-$(PROJECT_INCLUDE)/rtems/score/objectmp.inl: macros/rtems/score/objectmp.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/objectmp.inl: macros/rtems/score/objectmp.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/objectmp.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/objectmp.inl
 
-$(PROJECT_INCLUDE)/rtems/score/threadmp.inl: macros/rtems/score/threadmp.inl
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/score/threadmp.inl: macros/rtems/score/threadmp.inl $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/threadmp.inl
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/threadmp.inl
 endif