Index: c/src/ChangeLog
===================================================================
--- c/src/ChangeLog	(revision a4b39697ea2a05928ee3292154456fc7c4602367)
+++ c/src/ChangeLog	(revision 35150aae5d8da7621642aea2bf7e63076d7c7ca4)
@@ -1,2 +1,12 @@
+2008-09-17	Miao Yan <yanmiaobest@gmail.com>
+
+	* optman/Makefile.am, optman/preinstall.am: Merge GSOC project code to
+	add simple device only filesystem (devfs), optionally completely drop
+	out filesystem, and to clean up disabling newlib reentrancy support.
+	This dropped 17K from the minimum.exe for sparc/sis and arm/rtl22xx_t
+	now has a 15K code space.
+	* optman/no-console.c, optman/no-filesystem.c, optman/no-libio.c:
+	Removed.
+
 2008-09-08 	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/optman/Makefile.am
===================================================================
--- c/src/optman/Makefile.am	(revision a4b39697ea2a05928ee3292154456fc7c4602367)
+++ c/src/optman/Makefile.am	(revision 35150aae5d8da7621642aea2bf7e63076d7c7ca4)
@@ -74,14 +74,4 @@
 no_timer_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-project_lib_PROGRAMS += no-filesystem.rel
-no_filesystem_rel_SOURCES = no-filesystem.c no-libio.c
-no_filesystem_rel_CPPFLAGS = $(AM_CPPFLAGS)
-no_filesystem_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-project_lib_PROGRAMS += no-console.rel
-no_console_rel_SOURCES = no-console.c
-no_console_rel_CPPFLAGS = $(AM_CPPFLAGS)
-no_console_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
 include $(srcdir)/preinstall.am
 include $(top_srcdir)/automake/local.am
Index: src/optman/no-console.c
===================================================================
--- c/src/optman/no-console.c	(revision a4b39697ea2a05928ee3292154456fc7c4602367)
+++ 	(revision )
@@ -1,21 +1,0 @@
-/*
- *  Console Initialization Stub 
- *
- *  COPYRIGHT (c) 1989-2007.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.com/license/LICENSE.
- *
- *  $Id$
- */
-
-#if HAVE_CONFIG_H
-#include "config.h"
-#endif
-
-void open_dev_console(void)
-{
-}
-
Index: src/optman/no-filesystem.c
===================================================================
--- c/src/optman/no-filesystem.c	(revision a4b39697ea2a05928ee3292154456fc7c4602367)
+++ 	(revision )
@@ -1,32 +1,0 @@
-/*
- *  Stub Base file system initialization
- *
- *  COPYRIGHT (c) 1989-2007.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.com/license/LICENSE.
- *
- */
-
-#if HAVE_CONFIG_H
-#include "config.h"
-#endif
-
-#include <rtems.h>
-#include <rtems/libio.h>
-#include <rtems/libio_.h>
-
-rtems_user_env_t  rtems_global_user_env;
-rtems_user_env_t *rtems_current_user_env;
-
-/*
- *  rtems_filesystem_initialize
- *
- *  Initialize the foundation of the file system.  It is an empty function.
- */
-
-void rtems_filesystem_initialize( void )
-{
-}
Index: src/optman/no-libio.c
===================================================================
--- c/src/optman/no-libio.c	(revision a4b39697ea2a05928ee3292154456fc7c4602367)
+++ 	(revision )
@@ -1,49 +1,0 @@
-/*
- *  Stub Base libio initialization
- *
- *  COPYRIGHT (c) 1989-2007.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.com/license/LICENSE.
- *
- */
-
-#if HAVE_CONFIG_H
-#include "config.h"
-#endif
-
-#include <rtems/libio_.h>               /* libio_.h pulls in rtems */
-#include <rtems.h>
-#include <rtems/assoc.h>                /* assoc.h not included by rtems.h */
-
-#include <stdio.h>                      /* O_RDONLY, et.al. */
-#include <fcntl.h>                      /* O_RDONLY, et.al. */
-#include <assert.h>
-#include <errno.h>
-
-#include <errno.h>
-#include <string.h>                     /* strcmp */
-#include <unistd.h>
-#include <stdlib.h>                     /* calloc() */
-
-#include <rtems/libio.h>                /* libio.h not pulled in by rtems */
-
-/*
- *  File descriptor Table Information
- */
-
-extern uint32_t    rtems_libio_number_iops;
-rtems_id           rtems_libio_semaphore;
-rtems_libio_t     *rtems_libio_iops;
-rtems_libio_t     *rtems_libio_iop_freelist;
-
-/*
- *  rtems_libio_init
- *
- *  Called by BSP startup code to initialize the libio subsystem.
- */
-void rtems_libio_init( void )
-{
-}
Index: c/src/optman/preinstall.am
===================================================================
--- c/src/optman/preinstall.am	(revision a4b39697ea2a05928ee3292154456fc7c4602367)
+++ c/src/optman/preinstall.am	(revision 35150aae5d8da7621642aea2bf7e63076d7c7ca4)
@@ -71,10 +71,2 @@
 TMPINSTALL_FILES += $(PROJECT_LIB)/no-timer.rel
 
-$(PROJECT_LIB)/no-filesystem.rel: no-filesystem.rel $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_PROGRAM) $< $(PROJECT_LIB)/no-filesystem.rel
-TMPINSTALL_FILES += $(PROJECT_LIB)/no-filesystem.rel
-
-$(PROJECT_LIB)/no-console.rel: no-console.rel $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_PROGRAM) $< $(PROJECT_LIB)/no-console.rel
-TMPINSTALL_FILES += $(PROJECT_LIB)/no-console.rel
-