Index: c/src/tests/support/ChangeLog
===================================================================
--- c/src/tests/support/ChangeLog	(revision d481f9a96839e83b4b4ab6bf14ec02dcd78e069e)
+++ c/src/tests/support/ChangeLog	(revision 37222c7e74e745152f24389d7b74ed81deee9ca1)
@@ -1,2 +1,11 @@
+2001-01-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Remove stubdr, wrapup, AC_INIT(include).
+	* Makefile.am: Remove stubdr, wrapup.
+	* stubdr/Makefile.am, stubdr/open.c, stubdr/close.c, stubdr/init.c,
+	stubdr/stubdrv.h, stubdr/cntrl.c, stubdr/.cvsignore, stubdr/read.c,
+	stubdr/write.c, wrapup/Makefile.am, wrapup/.cvsignore, stubdr/,
+	wrapup/: Remove.
+
 2000-11-09	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/tests/support/Makefile.am
===================================================================
--- c/src/tests/support/Makefile.am	(revision d481f9a96839e83b4b4ab6bf14ec02dcd78e069e)
+++ c/src/tests/support/Makefile.am	(revision 37222c7e74e745152f24389d7b74ed81deee9ca1)
@@ -6,5 +6,5 @@
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
 
-SUBDIRS = include stubdr wrapup
+SUBDIRS = include
 
 include $(top_srcdir)/../../../../automake/subdirs.am
Index: c/src/tests/support/configure.in
===================================================================
--- c/src/tests/support/configure.in	(revision d481f9a96839e83b4b4ab6bf14ec02dcd78e069e)
+++ c/src/tests/support/configure.in	(revision 37222c7e74e745152f24389d7b74ed81deee9ca1)
@@ -4,5 +4,5 @@
 
 AC_PREREQ(2.13)
-AC_INIT(wrapup)
+AC_INIT(include)
 RTEMS_TOP(../../../..)
 AC_CONFIG_AUX_DIR(../../../..)
@@ -32,5 +32,3 @@
 Makefile
 include/Makefile
-stubdr/Makefile
-wrapup/Makefile
 )
Index: src/tests/support/stubdr/.cvsignore
===================================================================
--- c/src/tests/support/stubdr/.cvsignore	(revision d481f9a96839e83b4b4ab6bf14ec02dcd78e069e)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/tests/support/stubdr/Makefile.am
===================================================================
--- c/src/tests/support/stubdr/Makefile.am	(revision d481f9a96839e83b4b4ab6bf14ec02dcd78e069e)
+++ 	(revision )
@@ -1,40 +1,0 @@
-##
-## $Id$
-##
-
-AUTOMAKE_OPTIONS = foreign 1.4
-
-PGM = ${ARCH}/stubdr.rel
-
-C_FILES = open.c close.c read.c write.c init.c cntrl.c
-C_O_FILES = $(C_FILES:%.c=${ARCH}/%.o)
-
-H_FILES = stubdrv.h
-noinst_HEADERS = $(H_FILES)
-
-SRCS = $(C_FILES) $(H_FILES)
-OBJS = $(C_O_FILES)
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../../../../automake/compile.am
-include $(top_srcdir)/../../../../automake/lib.am
-
-TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
-
-$(PROJECT_INCLUDE):
-	@$(mkinstalldirs) $@
-$(PROJECT_INCLUDE)/%.h: %.h
-	$(INSTALL_DATA) $< $@
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(PGM): ${OBJS}
-	$(make-rel)
-
-all-local: ${ARCH} $(PGM) $(TMPINSTALL_FILES)
-
-EXTRA_DIST = $(C_FILES)
-
-include $(top_srcdir)/../../../../automake/local.am
Index: src/tests/support/stubdr/close.c
===================================================================
--- c/src/tests/support/stubdr/close.c	(revision d481f9a96839e83b4b4ab6bf14ec02dcd78e069e)
+++ 	(revision )
@@ -1,33 +1,0 @@
-/*  Stub_close
- *
- *  This routine is the terminal driver close routine.
- *
- *  Input parameters:
- *    major - device major number
- *    minor - device minor number
- *    pargb - pointer to close parameter block
- *
- *  Output parameters:
- *    rval       - STUB_SUCCESSFUL
- *
- *  COPYRIGHT (c) 1989-1999.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
- *
- *  $Id$
- */
-
-#include <rtems.h>
-#include "stubdrv.h"
-
-rtems_device_driver Stub_close(
-  rtems_device_major_number major,
-  rtems_device_minor_number minor,
-  void *pargp
-)
-{
-  return STUB_SUCCESSFUL;
-}
Index: src/tests/support/stubdr/cntrl.c
===================================================================
--- c/src/tests/support/stubdr/cntrl.c	(revision d481f9a96839e83b4b4ab6bf14ec02dcd78e069e)
+++ 	(revision )
@@ -1,33 +1,0 @@
-/*  Stub_control
- *
- *  This routine is the terminal driver control routine.
- *
- *  Input parameters:
- *    major - device major number
- *    minor - device minor number
- *    pargp - pointer to cntrl parameter block
- *
- *  Output parameters:
- *    rval       - STUB_SUCCESSFUL
- *
- *  COPYRIGHT (c) 1989-1999.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
- *
- *  $Id$
- */
-
-#include <rtems.h>
-#include "stubdrv.h"
-
-rtems_device_driver Stub_control(
-  rtems_device_major_number major,
-  rtems_device_minor_number minor,
-  void *pargp
-)
-{
-  return STUB_SUCCESSFUL;
-}
Index: src/tests/support/stubdr/init.c
===================================================================
--- c/src/tests/support/stubdr/init.c	(revision d481f9a96839e83b4b4ab6bf14ec02dcd78e069e)
+++ 	(revision )
@@ -1,36 +1,0 @@
-/*  Stub_initialize
- *
- *  This routine is the terminal driver init routine.
- *
- *  Input parameters:
- *    major - device major number
- *    minor - device minor number
- *    pargp - pointer to parameter block
- *
- *  Output parameters:
- *    rval       - STUB_SUCCESSFUL
- *
- *  COPYRIGHT (c) 1989-1999.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
- *
- *  $Id$
- */
-
-#include <rtems.h>
-#include "stubdrv.h"
-
-rtems_unsigned32 STUB_major;
-
-rtems_device_driver Stub_initialize(
-  rtems_device_major_number major,
-  rtems_device_minor_number minor,
-  void *pargp
-)
-{
-  STUB_major = major;
-  return STUB_SUCCESSFUL;
-}
Index: src/tests/support/stubdr/open.c
===================================================================
--- c/src/tests/support/stubdr/open.c	(revision d481f9a96839e83b4b4ab6bf14ec02dcd78e069e)
+++ 	(revision )
@@ -1,33 +1,0 @@
-/*  Stub_open
- *
- *  This routine is the terminal driver open routine.
- *
- *  Input parameters:
- *    major - device major number
- *    minor - device minor number
- *    pargb - pointer to open parameter block
- *
- *  Output parameters:
- *    rval       - STUB_SUCCESSFUL
- *
- *  COPYRIGHT (c) 1989-1999.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
- *
- *  $Id$
- */
-
-#include <rtems.h>
-#include "stubdrv.h"
-
-rtems_device_driver Stub_open(
-  rtems_device_major_number major,
-  rtems_device_minor_number minor,
-  void *pargp
-)
-{
-  return STUB_SUCCESSFUL;
-}
Index: src/tests/support/stubdr/read.c
===================================================================
--- c/src/tests/support/stubdr/read.c	(revision d481f9a96839e83b4b4ab6bf14ec02dcd78e069e)
+++ 	(revision )
@@ -1,33 +1,0 @@
-/*  Stub_read
- *
- *  This routine is the terminal driver read routine.
- *
- *  Input parameters:
- *    major - device major number
- *    minor - device minor number
- *    pargp - pointer to read parameter block
- *
- *  Output parameters:
- *    rval       - STUB_SUCCESSFUL
- *
- *  COPYRIGHT (c) 1989-1999.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
- *
- *  $Id$
- */
-
-#include <rtems.h>
-#include "stubdrv.h"
-
-rtems_device_driver Stub_read(
-  rtems_device_major_number major,
-  rtems_device_minor_number minor,
-  void *pargp
-)
-{
-  return STUB_SUCCESSFUL;
-}
Index: src/tests/support/stubdr/stubdrv.h
===================================================================
--- c/src/tests/support/stubdr/stubdrv.h	(revision d481f9a96839e83b4b4ab6bf14ec02dcd78e069e)
+++ 	(revision )
@@ -1,68 +1,0 @@
-/*  stubdrv.h
- *
- *  This file describes the Stub Driver for all boards.
- *
- *  COPYRIGHT (c) 1989-1999.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
- *
- *  $Id$
- */
-
-#ifndef __STUB_DRIVER_h
-#define __STUB_DRIVER_h
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-#define STUB_DRIVER_TABLE_ENTRY \
-  { Stub_initialize, NULL, NULL, NULL, NULL, NULL }
-
-#define STUB_SUCCESSFUL RTEMS_SUCCESSFUL
-
-rtems_device_driver Stub_initialize(
-  rtems_device_major_number,
-  rtems_device_minor_number,
-  void *
-);
-
-rtems_device_driver Stub_open(
-  rtems_device_major_number,
-  rtems_device_minor_number,
-  void *
-);
-
-rtems_device_driver Stub_close(
-  rtems_device_major_number,
-  rtems_device_minor_number,
-  void *
-);
-
-rtems_device_driver Stub_read(
-  rtems_device_major_number,
-  rtems_device_minor_number,
-  void *
-);
-
-rtems_device_driver Stub_write(
-  rtems_device_major_number,
-  rtems_device_minor_number,
-  void *
-);
-
-rtems_device_driver Stub_control(
-  rtems_device_major_number,
-  rtems_device_minor_number,
-  void *
-);
-
-#ifdef __cplusplus
-}
-#endif
-
-#endif
-/* end of include file */
Index: src/tests/support/stubdr/write.c
===================================================================
--- c/src/tests/support/stubdr/write.c	(revision d481f9a96839e83b4b4ab6bf14ec02dcd78e069e)
+++ 	(revision )
@@ -1,33 +1,0 @@
-/*  Stub_write
- *
- *  This routine is the terminal driver write routine.
- *
- *  Input parameters:
- *    major - device major number
- *    minor - device minor number
- *    pargp - pointer to write parameter block
- *
- *  Output parameters:
- *    rval       - STUB_SUCCESSFUL
- *
- *  COPYRIGHT (c) 1989-1999.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
- *
- *  $Id$
- */
-
-#include <rtems.h>
-#include "stubdrv.h"
-
-rtems_device_driver Stub_write(
-  rtems_device_major_number major,
-  rtems_device_minor_number minor,
-  void *pargp
-)
-{
-  return STUB_SUCCESSFUL;
-}
Index: src/tests/support/wrapup/.cvsignore
===================================================================
--- c/src/tests/support/wrapup/.cvsignore	(revision d481f9a96839e83b4b4ab6bf14ec02dcd78e069e)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/tests/support/wrapup/Makefile.am
===================================================================
--- c/src/tests/support/wrapup/Makefile.am	(revision d481f9a96839e83b4b4ab6bf14ec02dcd78e069e)
+++ 	(revision )
@@ -1,33 +1,0 @@
-##
-## $Id$
-##
-
-AUTOMAKE_OPTIONS = foreign 1.4
-
-LIBNAME = libtest
-LIB = $(ARCH)/$(LIBNAME).a
-
-GENERIC_FILES = stubdr
-
-# bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(GENERIC_FILES), ../$(piece)/$(ARCH)/$(piece).rel)
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../../../../automake/compile.am
-include $(top_srcdir)/../../../../automake/lib.am
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/$(LIBNAME)$(LIB_VARIANT).a
-
-$(LIB): ${OBJS}
-	$(make-library)
-
-$(PROJECT_RELEASE)/lib/$(LIBNAME)$(LIB_VARIANT).a: $(LIB)
-	$(INSTALL_DATA) $< $@
-
-all-local: ${ARCH} $(TMPINSTALL_FILES)
-
-include $(top_srcdir)/../../../../automake/local.am
Index: testsuites/support/ChangeLog
===================================================================
--- testsuites/support/ChangeLog	(revision d481f9a96839e83b4b4ab6bf14ec02dcd78e069e)
+++ testsuites/support/ChangeLog	(revision 37222c7e74e745152f24389d7b74ed81deee9ca1)
@@ -1,2 +1,11 @@
+2001-01-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Remove stubdr, wrapup, AC_INIT(include).
+	* Makefile.am: Remove stubdr, wrapup.
+	* stubdr/Makefile.am, stubdr/open.c, stubdr/close.c, stubdr/init.c,
+	stubdr/stubdrv.h, stubdr/cntrl.c, stubdr/.cvsignore, stubdr/read.c,
+	stubdr/write.c, wrapup/Makefile.am, wrapup/.cvsignore, stubdr/,
+	wrapup/: Remove.
+
 2000-11-09	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: testsuites/support/Makefile.am
===================================================================
--- testsuites/support/Makefile.am	(revision d481f9a96839e83b4b4ab6bf14ec02dcd78e069e)
+++ testsuites/support/Makefile.am	(revision 37222c7e74e745152f24389d7b74ed81deee9ca1)
@@ -6,5 +6,5 @@
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
 
-SUBDIRS = include stubdr wrapup
+SUBDIRS = include
 
 include $(top_srcdir)/../../../../automake/subdirs.am