Index: doc/ChangeLog
===================================================================
--- doc/ChangeLog	(revision 66661b3ae0eb7e16de63e0ae52eeaada4bc7fbc1)
+++ doc/ChangeLog	(revision 39075eb2e1e795af7b0560cd7fe2ed44a5ddd622)
@@ -1,2 +1,12 @@
+2004-02-03	Joel Sherrill <joel@OARcorp.com>
+
+	* HELP.html, index.html.in, rtems_footer.html.in, rtems_header.html.in,
+	FAQ/basic.t, gnu_docs/gnu_footer.html, gnu_docs/index.html,
+	gnu_docs/refcard.html, gnu_docs/rtems_tools_index.html,
+	started/binaries.t, started/buildc.t, started/buildrt.t,
+	started/intro.t, started/require.t, started/sample.t,
+	started/tversions.texi.in: Incorporating changes from pre-4.6.0
+	review.
+
 2004-02-01	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: doc/FAQ/basic.t
===================================================================
--- doc/FAQ/basic.t	(revision 66661b3ae0eb7e16de63e0ae52eeaada4bc7fbc1)
+++ doc/FAQ/basic.t	(revision 39075eb2e1e795af7b0560cd7fe2ed44a5ddd622)
@@ -151,5 +151,5 @@
 RTEMS is distributed from @uref{@value{RTEMSHTTPURL},@value{RTEMSHTTPURL}}.
 This is a server dedicated to the RTEMS Project which was donated by and
-hosted by @uref{http://www.OARcorp.com,OAR Corporation} to provide
+hosted by @uref{http://www.oarcorp.com,OAR Corporation} to provide
 a focal point for all RTEMS activities.  Point your
 favorite browser at the following URL and following the link:
@@ -178,5 +178,5 @@
 
 @example
-http://www.oarcorp.com/rtems/maillistArchives/rtems-users
+http://www.rtems.com/ml/rtems-users
 @end example
 
@@ -190,5 +190,5 @@
 
 @example
-http://www.oarcorp.com/rtems/maillistArchives/rtems-snapshots
+http://www.rtems.com/ml/rtems-snapshots
 @end example
 
Index: doc/HELP.html
===================================================================
--- doc/HELP.html	(revision 66661b3ae0eb7e16de63e0ae52eeaada4bc7fbc1)
+++ doc/HELP.html	(revision 39075eb2e1e795af7b0560cd7fe2ed44a5ddd622)
@@ -18,4 +18,4 @@
 
 <HR>
-Copyright &copy; 1988-2003 <A HREF="http://www.oarcorp.com" target="Text Frame">OAR Corporation</A>
+Copyright &copy; 1988-2004 <A HREF="http://www.rtems.com" target="Text Frame">OAR Corporation</A>
 </BODY></HTML>
Index: doc/gnu_docs/gnu_footer.html
===================================================================
--- doc/gnu_docs/gnu_footer.html	(revision 66661b3ae0eb7e16de63e0ae52eeaada4bc7fbc1)
+++ doc/gnu_docs/gnu_footer.html	(revision 39075eb2e1e795af7b0560cd7fe2ed44a5ddd622)
@@ -1,2 +1,1 @@
-<P>Packaging copyright &copy; 1988-2003 <A HREF="http://www.oarcorp.com" target="Text Frame">OAR Corporation</A></BR>
-Content copyright by each document's author.  See <A HREF="http://www.gnu.org" target="Text Frame">Free Software Foundation</A> for information.
+<P>Each document is copyright by its author(s).  See <A HREF="http://www.gnu.org" target="Text Frame">Free Software Foundation</A> for information.
Index: doc/gnu_docs/index.html
===================================================================
--- doc/gnu_docs/index.html	(revision 66661b3ae0eb7e16de63e0ae52eeaada4bc7fbc1)
+++ doc/gnu_docs/index.html	(revision 39075eb2e1e795af7b0560cd7fe2ed44a5ddd622)
@@ -140,4 +140,4 @@
 </MENU>
 <HR>
-Copyright &copy; 1988-2003 <A HREF="http://www.oarcorp.com" target="Text Frame">OAR Corporation</A>
+Copyright &copy; 1988-2004 <A HREF="http://www.oarcorp.com" target="Text Frame">OAR Corporation</A>
 </BODY></HTML>
Index: doc/gnu_docs/refcard.html
===================================================================
--- doc/gnu_docs/refcard.html	(revision 66661b3ae0eb7e16de63e0ae52eeaada4bc7fbc1)
+++ doc/gnu_docs/refcard.html	(revision 39075eb2e1e795af7b0560cd7fe2ed44a5ddd622)
@@ -10,4 +10,4 @@
 no HTML or PDF version of this file.
 <HR>
-Copyright &copy; 1988-2003 <A HREF="http://www.oarcorp.com" target="Text Frame">OAR Corporation</A>
+Copyright &copy; 1988-2004 <A HREF="http://www.oarcorp.com" target="Text Frame">OAR Corporation</A>
 </BODY></HTML>
Index: doc/gnu_docs/rtems_tools_index.html
===================================================================
--- doc/gnu_docs/rtems_tools_index.html	(revision 66661b3ae0eb7e16de63e0ae52eeaada4bc7fbc1)
+++ doc/gnu_docs/rtems_tools_index.html	(revision 39075eb2e1e795af7b0560cd7fe2ed44a5ddd622)
@@ -12,4 +12,4 @@
 </MENU>
 <HR>    
-Copyright &copy; 1988-2003 <A HREF="http://www.oarcorp.com" target="Text Frame">OAR Corporation</A>
+Copyright &copy; 1988-2004 <A HREF="http://www.oarcorp.com" target="Text Frame">OAR Corporation</A>
 </BODY></HTML>      
Index: doc/index.html.in
===================================================================
--- doc/index.html.in	(revision 66661b3ae0eb7e16de63e0ae52eeaada4bc7fbc1)
+++ doc/index.html.in	(revision 39075eb2e1e795af7b0560cd7fe2ed44a5ddd622)
@@ -278,4 +278,4 @@
 </MENU>
 <HR>
-Copyright &copy; 1988-2003 <A HREF="http://www.oarcorp.com" target="Text Frame">OAR Corporation</A>
+Copyright &copy; 1988-2004 <A HREF="http://www.oarcorp.com" target="Text Frame">OAR Corporation</A>
 </BODY></HTML>
Index: doc/rtems_footer.html.in
===================================================================
--- doc/rtems_footer.html.in	(revision 66661b3ae0eb7e16de63e0ae52eeaada4bc7fbc1)
+++ doc/rtems_footer.html.in	(revision 39075eb2e1e795af7b0560cd7fe2ed44a5ddd622)
@@ -1,1 +1,1 @@
-<P>Copyright &copy; 1988-2003 <A HREF="http://www.oarcorp.com" target="Text Frame">OAR Corporation</A>
+<P>Copyright &copy; 1988-2004 <A HREF="http://www.oarcorp.com" target="Text Frame">OAR Corporation</A>
Index: doc/rtems_header.html.in
===================================================================
--- doc/rtems_header.html.in	(revision 66661b3ae0eb7e16de63e0ae52eeaada4bc7fbc1)
+++ doc/rtems_header.html.in	(revision 39075eb2e1e795af7b0560cd7fe2ed44a5ddd622)
@@ -1,5 +1,5 @@
 <BODY BGCOLOR="FFFFFF">
 <A HREF="http://www.rtems.com" target="Text Frame">
-  <IMG align=right BORDER=0 SRC="../images/rtems_jpg.jpg" ALT="RTEMS Logo"> </A>
+  <IMG align=right BORDER=0 SRC="../images/rtems_logo.jpg" ALT="RTEMS Logo"> </A>
 <H1>RTEMS @VERSION@ On-Line Library</H1>
 <HR>
Index: doc/started/binaries.t
===================================================================
--- doc/started/binaries.t	(revision 66661b3ae0eb7e16de63e0ae52eeaada4bc7fbc1)
+++ doc/started/binaries.t	(revision 39075eb2e1e795af7b0560cd7fe2ed44a5ddd622)
@@ -20,8 +20,5 @@
 RPM is an acronym for the RPM Package Manager.  RPM is the
 native package installer for many Linux distributions including
-RedHat and SuSE.
-@c RPM supports other operating systems including
-@c Cygwin.  @uref{mailto:D.J@@fiddes.surfaid.org,David Fiddes <D.J@@fiddes.surfaid.org>}
-@c did the initial groundwork that lead to Cygwin RPMs being available.
+RedHat, SuSE, and Fedora.
 
 The prebuilt binaries are intended to be easy to install and
@@ -39,7 +36,8 @@
 "base" packages.
 
-@item If buildable for a particular CPU, RPMs are provided for 
-Ada (gnat), Chill, Java (gcj), Fortran (g77), and Objective-C (objc).
-These binaries are strictly optional.
+@item Depending upon the version of GCC as well as the development
+host and target CPU combination, pre-built supplemental packages may 
+be provided for Ada (gnat), Chill, Java (gcj), Fortran (g77), and
+Objective-C (objc).  These binaries are strictly optional.
 
 @end enumerate
@@ -107,5 +105,5 @@
 
 This section provides information on installing and removing
-Zipped Tar Files (.tgz).
+Zipped Tar Files (e.g .tar.gz or .tar.bz2).
 
 @subsection Installing Zipped Tar Files
@@ -113,14 +111,29 @@
 The following is a sample session illustrating the installation
 of a C/C++ toolset targeting the SPARC architecture assuming
-that GNU tar is installed as @code{tar}:
+that GNU tar is installed as @code{tar} for a set of archive
+files compressed with GNU Zip (gzip):
 
 @example
 cd /
-tar xzf rtems-base-binutils-@value{BINUTILSVERSION}-@value{BINUTILSRPMRELEASE}.tgz
-tar xzf sparc-rtems-binutils-@value{BINUTILSVERSION}-@value{BINUTILSRPMRELEASE}.tgz
-tar xzf rtems-base-gcc-gcc@value{GCCVERSION}newlib@value{NEWLIBVERSION}-@value{GCCRPMRELEASE}.tgz
-tar xzf sparc-rtems-gcc-gcc@value{GCCVERSION}newlib@value{NEWLIBVERSION}-@value{GCCRPMRELEASE}.tgz
-tar xzf rtems-base-gdb-@value{GDBVERSION}-@value{GDBRPMRELEASE}.tgz
-tar xzf sparc-rtems-gdb-@value{GDBVERSION}-@value{GDBRPMRELEASE}.tgz
+tar xzf @value{RTEMSRPMPREFIX}rtems-base-binutils-@value{BINUTILSVERSION}-@value{BINUTILSRPMRELEASE}.tar.gz
+tar xzf @value{RTEMSRPMPREFIX}sparc-rtems-binutils-@value{BINUTILSVERSION}-@value{BINUTILSRPMRELEASE}.tar.gz
+tar xzf @value{RTEMSRPMPREFIX}rtems-base-gcc-gcc@value{GCCVERSION}newlib@value{NEWLIBVERSION}-@value{GCCRPMRELEASE}.tar.gz
+tar xzf @value{RTEMSRPMPREFIX}sparc-rtems-gcc-gcc@value{GCCVERSION}newlib@value{NEWLIBVERSION}-@value{GCCRPMRELEASE}.tar.gz
+tar xzf @value{RTEMSRPMPREFIX}rtems-base-gdb-@value{GDBVERSION}-@value{GDBRPMRELEASE}.tar.gz
+tar xzf @value{RTEMSRPMPREFIX}sparc-rtems-gdb-@value{GDBVERSION}-@value{GDBRPMRELEASE}.tar.gz
+@end example
+
+The following command set is the equivalent command sequence
+for the same toolset assuming that is was compressed with
+GNU BZip (bzip2):
+
+@example
+cd /
+tar xjf @value{RTEMSRPMPREFIX}rtems-base-binutils-@value{BINUTILSVERSION}-@value{BINUTILSRPMRELEASE}.tar.bz2
+tar xjf @value{RTEMSRPMPREFIX}sparc-rtems-binutils-@value{BINUTILSVERSION}-@value{BINUTILSRPMRELEASE}.tar.bz2
+tar xjf @value{RTEMSRPMPREFIX}rtems-base-gcc-gcc@value{GCCVERSION}newlib@value{NEWLIBVERSION}-@value{GCCRPMRELEASE}.tar.bz2
+tar xjf @value{RTEMSRPMPREFIX}sparc-rtems-gcc-gcc@value{GCCVERSION}newlib@value{NEWLIBVERSION}-@value{GCCRPMRELEASE}.tar.bz2
+tar xjf @value{RTEMSRPMPREFIX}rtems-base-gdb-@value{GDBVERSION}-@value{GDBRPMRELEASE}.tar.bz2
+tar xjf @value{RTEMSRPMPREFIX}sparc-rtems-gdb-@value{GDBVERSION}-@value{GDBRPMRELEASE}.tar.bz2
 @end example
 
@@ -133,8 +146,8 @@
 @subsection Removing Zipped Tar Files
 
-There is no automatic way to remove the contents of a @code{tgz} once
-it is installed.  The contents of the directory @code{@value{RTEMSPREFIX}}
-can be removed but this will likely result in other packages
-being removed as well.
+There is no automatic way to remove the contents of a @code{tar.gz} 
+or @code{tar.bz2} once it is installed.  The contents of the directory
+@code{@value{RTEMSPREFIX}} can be removed but this will likely result
+in other packages being removed as well.
 
 
Index: doc/started/buildc.t
===================================================================
--- doc/started/buildc.t	(revision 66661b3ae0eb7e16de63e0ae52eeaada4bc7fbc1)
+++ doc/started/buildc.t	(revision 39075eb2e1e795af7b0560cd7fe2ed44a5ddd622)
@@ -93,5 +93,5 @@
 @example
     FTP Site:    @value{RTEMSFTPSITE}
-    Directory:   @value{RTEMSFTPDIR}/c_tools/source
+    Directory:   @value{RTEMSFTPDIR}/@value{VERSION}
 @ifset BINUTILSPATCHVERSION
     File:        @value{BINUTILSRTEMSPATCH}
@@ -104,6 +104,6 @@
 @end ifset
 @ifset use-html
-@c    URL:         @uref{ftp://@value{RTEMSFTPSITE}@value{RTEMSFTPDIR}/c_tools/source,Download RTEMS Patches and Scripts}
-    URL:         ftp://@value{RTEMSFTPSITE}@value{RTEMSFTPDIR}/c_tools/source
+@c    URL:         @uref{ftp://@value{RTEMSFTPSITE}@value{RTEMSFTPDIR}/SOURCES,Download RTEMS Patches and Scripts}
+    URL:         ftp://@value{RTEMSFTPSITE}@value{RTEMSFTPDIR}/SOURCES
 @end ifset
 @end example
@@ -438,9 +438,7 @@
 @example
 @value{RTEMSRPMPREFIX}rtems-base-gcc-gcc@value{GCCVERSION}newlib@value{NEWLIBVERSION}-@value{GCCRPMRELEASE}.i386.rpm
-@value{RTEMSRPMPREFIX}rtems-base-chill-gcc@value{GCCVERSION}newlib@value{NEWLIBVERSION}-@value{GCCRPMRELEASE}.i386.rpm
 @value{RTEMSRPMPREFIX}rtems-base-g77-gcc@value{GCCVERSION}newlib@value{NEWLIBVERSION}-@value{GCCRPMRELEASE}.i386.rpm
 @value{RTEMSRPMPREFIX}rtems-base-gcj-gcc@value{GCCVERSION}newlib@value{NEWLIBVERSION}-@value{GCCRPMRELEASE}.i386.rpm
 @value{RTEMSRPMPREFIX}i386-rtems-gcc-gcc@value{GCCVERSION}newlib@value{NEWLIBVERSION}-@value{GCCRPMRELEASE}.i386.rpm
-@value{RTEMSRPMPREFIX}i386-rtems-chill-gcc@value{GCCVERSION}newlib@value{NEWLIBVERSION}-@value{GCCRPMRELEASE}.i386.rpm
 @value{RTEMSRPMPREFIX}i386-rtems-g77-gcc@value{GCCVERSION}newlib@value{NEWLIBVERSION}-@value{GCCRPMRELEASE}.i386.rpm
 @value{RTEMSRPMPREFIX}i386-rtems-gcj-gcc@value{GCCVERSION}newlib@value{NEWLIBVERSION}-@value{GCCRPMRELEASE}.i386.rpm
@@ -668,8 +666,8 @@
 @example
     FTP Site:    @value{RTEMSFTPSITE}
-    Directory:   @value{RTEMSFTPDIR}/c_tools/source
+    Directory:   @value{RTEMSFTPDIR}/SOURCES
 @ifset GDBPATCHVERSION
     File:        @value{GDBRTEMSPATCH}
-    URL:         @uref{ftp://@value{RTEMSFTPSITE}@value{RTEMSFTPDIR}/c_tools/source/@value{GDBRTEMSPATCH},,ftp://@value{RTEMSFTPSITE}@value{RTEMSFTPDIR}/c_tools/source/@value{GDBRTEMSPATCH}}
+    URL:         @uref{ftp://@value{RTEMSFTPSITE}@value{RTEMSFTPDIR}/SOURCES/@value{GDBRTEMSPATCH},,ftp://@value{RTEMSFTPSITE}@value{RTEMSFTPDIR}/SOURCES/@value{GDBRTEMSPATCH}}
 @end ifset
 @end example
Index: doc/started/buildrt.t
===================================================================
--- doc/started/buildrt.t	(revision 66661b3ae0eb7e16de63e0ae52eeaada4bc7fbc1)
+++ doc/started/buildrt.t	(revision 39075eb2e1e795af7b0560cd7fe2ed44a5ddd622)
@@ -19,18 +19,18 @@
 @example
     FTP Site:    @value{RTEMSFTPSITE}
-    Directory:   @value{RTEMSFTPDIR}
+    Directory:   @value{RTEMSFTPDIR}/@value{VERSION}
     File:        @value{RTEMSTAR}
 @ifset use-html
-@c    URL:         @uref{ftp://@value{RTEMSFTPSITE}@value{RTEMSFTPDIR}, Download RTEMS components}
-    URL:         ftp://@value{RTEMSFTPSITE}@value{RTEMSFTPDIR}
+@c    URL:         @uref{ftp://@value{RTEMSFTPSITE}@value{RTEMSFTPDIR}/@value{VERSION}, Download RTEMS components}
+    URL:         ftp://@value{RTEMSFTPSITE}@value{RTEMSFTPDIR}/@value{VERSION}
 @end ifset
 @end example
 
-@subheading RTEMS Hello World
+@subheading RTEMS Examples including Hello World
 @example
     FTP Site:    @value{RTEMSFTPSITE}
-    Directory:   @value{RTEMSFTPDIR}
-    File:        hello_world_c.tgz
-    URL:         @uref{ftp://@value{RTEMSFTPSITE}@value{RTEMSFTPDIR}/hello_world_c.tgz,,ftp://@value{RTEMSFTPSITE}@value{RTEMSFTPDIR}/hello_world_c.tgz}
+    Directory:   @value{RTEMSFTPDIR}/@value{VERSION}
+    File:        examples-@value{VERSION}.tar.bz2
+    URL:         @uref{ftp://@value{RTEMSFTPSITE}@value{RTEMSFTPDIR}/@value{VERSION}/examples-@value{VERSION}.tar.bz2,,ftp://@value{RTEMSFTPSITE}@value{RTEMSFTPDIR}/@value{VERSION}/examples-@value{VERSION}.tar.bz2}
 @end example
 
Index: doc/started/intro.t
===================================================================
--- doc/started/intro.t	(revision 66661b3ae0eb7e16de63e0ae52eeaada4bc7fbc1)
+++ doc/started/intro.t	(revision 39075eb2e1e795af7b0560cd7fe2ed44a5ddd622)
@@ -138,6 +138,5 @@
 The RTEMS Project provides formatted documentation for the primary
 tools in the cross development toolset including BINUTILS, GCC,
-NEWLIB, and GDB at
-@uref{http://www.oarcorp.com/rtemsdoc-4.5.0, http://www.oarcorp.com/rtemsdoc-4.5.0}.
+NEWLIB, and GDB with the pre-built versions of those tools.
 
 Much of the documentation is available at other sites on the Internet.
@@ -148,5 +147,6 @@
 
 @item Free Software Foundation
-@uref{http://www.gnu.org/manual/manual.html, http://www.gnu.org/manual/manual.html}
+@uref{http://www.gnu.org/manual/manual.html,
+http://www.gnu.org/manual/manual.html}
 
 @item Delorie Software
@@ -178,7 +178,6 @@
 @uref{http://www.objsw.com/CrossGCC/,CrossGCC FAQ}.
 
-The CrossGCC FAQ as well as a number of patches and utilities
-of interest to cross development system users are available
-at @uref{ftp://ftp.cygnus.com/pub/embedded/crossgcc}.
+The CrossGCC FAQ and Wiki are are available
+at @uref{http://www.billgatliff.com,http://www.billgatliff.com}.
 
 @subsection GCC Mailing Lists
Index: doc/started/require.t
===================================================================
--- doc/started/require.t	(revision 66661b3ae0eb7e16de63e0ae52eeaada4bc7fbc1)
+++ doc/started/require.t	(revision 39075eb2e1e795af7b0560cd7fe2ed44a5ddd622)
@@ -22,7 +22,7 @@
 |              Component             |   Disk Space Required    |
 +------------------------------------+--------------------------+
-|        archive directory           |        35 Mbytes         |
-|        tools src unarchived        |       150 Mbytes         |
-|  each individual build directory   |     up to 500 Mbytes     |
+|        archive directory           |        55 Mbytes         |
+|        tools src unarchived        |       350 Mbytes         |
+|  each individual build directory   |     up to 750 Mbytes     |
 |     each installation directory    |      20-200 Mbytes       |
 +------------------------------------+--------------------------+
@@ -185,5 +185,6 @@
 the storage of source archives and patches as well as for building the
 tools is up to the user.  The only concern is that there be enough
-disk space to complete the build.
+disk space to complete the build.  In this document, the following
+organization will be used.
 
 Make an @code{archive} directory to contain the downloaded
Index: doc/started/sample.t
===================================================================
--- doc/started/sample.t	(revision 66661b3ae0eb7e16de63e0ae52eeaada4bc7fbc1)
+++ doc/started/sample.t	(revision 39075eb2e1e795af7b0560cd7fe2ed44a5ddd622)
@@ -258,5 +258,4 @@
 How this executable is downloaded to the target board is very dependent
 on the BOARD_SUPPORT_PACKAGE selected.
-----------------------------------------------------
 
 @c
@@ -265,6 +264,6 @@
 @section More Information on RTEMS Application Makefiles
 
-The hello world sample application is a simple example of an
-RTEMS application that uses the RTEMS Application Makefile 
+These sample applications are examples of simple
+RTEMS applications that use the RTEMS Application Makefile 
 system.  This Makefile system simplifies building
 RTEMS applications by providing Makefile templates and
Index: doc/started/tversions.texi.in
===================================================================
--- doc/started/tversions.texi.in	(revision 66661b3ae0eb7e16de63e0ae52eeaada4bc7fbc1)
+++ doc/started/tversions.texi.in	(revision 39075eb2e1e795af7b0560cd7fe2ed44a5ddd622)
@@ -89,3 +89,3 @@
 @set RTEMSTAR       @value{RTEMSUNTAR}.tar.bz2
 @set RTEMSFTPSITE   ftp.rtems.com
-@set RTEMSFTPDIR    /pub/rtems/releases/@value{VERSION}
+@set RTEMSFTPDIR    /pub/rtems