Index: schedsim/shell/schedsim_smpsimple/scenarios/cpus1_priority.expected
===================================================================
--- schedsim/shell/schedsim_smpsimple/scenarios/cpus1_priority.expected	(revision 4be3859c6e0bef1b2c8cf25ccdaf1f43e5486153)
+++ schedsim/shell/schedsim_smpsimple/scenarios/cpus1_priority.expected	(revision 42888e1eb418b9153c71a2a80bf0a014fe8a4a7a)
@@ -19,5 +19,5 @@
 ==> 7: dispatch
 ==> 8: # GOAL: 0x0a010001 is heir and executing on CPU 0
-==> 9: cpus
+==> 9: cpus smp1
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
@@ -28,5 +28,5 @@
 Task (0x0a010001) Change Priority from 5 to 4
 ==> 12: # GOAL: 0x0a010001 is still heir and executing on CPU 0
-==> 13: cpus
+==> 13: cpus smp1
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
@@ -37,5 +37,5 @@
 Task (0x0a010001) Change Priority from 4 to 7
 ==> 16: # GOAL: 0x0a010001 is still heir and executing on CPU 0
-==> 17: cpus
+==> 17: cpus smp1
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
@@ -48,5 +48,5 @@
 Task (0x0a010001) Change Priority from 7 to 8
 ==> 20: # GOAL: 0x0a010002 is now heir and executing on CPU 0
-==> 21: cpus
+==> 21: cpus smp2
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
@@ -59,5 +59,5 @@
 Task (0x0a010001) Change Priority from 8 to 5
 ==> 24: # GOAL: 0x0a010001 is now heir and executing on CPU 0
-==> 25: cpus
+==> 25: cpus smp1
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
Index: schedsim/shell/schedsim_smpsimple/scenarios/cpus1_priority.scen
===================================================================
--- schedsim/shell/schedsim_smpsimple/scenarios/cpus1_priority.scen	(revision 4be3859c6e0bef1b2c8cf25ccdaf1f43e5486153)
+++ schedsim/shell/schedsim_smpsimple/scenarios/cpus1_priority.scen	(revision 42888e1eb418b9153c71a2a80bf0a014fe8a4a7a)
@@ -7,19 +7,19 @@
 dispatch
 # GOAL: 0x0a010001 is heir and executing on CPU 0
-cpus
+cpus smp1
 
 task_priority smp1 4
 # GOAL: 0x0a010001 is still heir and executing on CPU 0
-cpus
+cpus smp1
 
 task_priority smp1 7
 # GOAL: 0x0a010001 is still heir and executing on CPU 0
-cpus
+cpus smp1
 
 task_priority smp1 8
 # GOAL: 0x0a010002 is now heir and executing on CPU 0
-cpus
+cpus smp2
 
 task_priority smp1 5
 # GOAL: 0x0a010001 is now heir and executing on CPU 0
-cpus
+cpus smp1
Index: schedsim/shell/schedsim_smpsimple/scenarios/cpus1_resume_on_primary.expected
===================================================================
--- schedsim/shell/schedsim_smpsimple/scenarios/cpus1_resume_on_primary.expected	(revision 4be3859c6e0bef1b2c8cf25ccdaf1f43e5486153)
+++ schedsim/shell/schedsim_smpsimple/scenarios/cpus1_resume_on_primary.expected	(revision 42888e1eb418b9153c71a2a80bf0a014fe8a4a7a)
@@ -14,5 +14,5 @@
   CPU 0: Thread Executing: 0x0a010001 priority=5
 ==> 6: # GOAL: 0x0a010001 is heir and executing on CPU 0
-==> 7: cpus
+==> 7: cpus smp1
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
@@ -25,5 +25,5 @@
   CPU 0: Thread Executing: 0x09010001 priority=255
 ==> 10: # GOAL: 0x09010001 is heir and executing on CPU 0
-==> 11: cpus
+==> 11: cpus IDLE
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
@@ -31,5 +31,5 @@
 === End of Ready Set of Threads
 ==> 12: # GOAL: 0x09010001 is heir and executing on CPU 0
-==> 13: cpus
+==> 13: cpus IDLE
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
@@ -42,5 +42,5 @@
   CPU 0: Thread Executing: 0x0a010001 priority=5
 ==> 16: # GOAL: 0x0a010001 is heir and executing on CPU 0
-==> 17: cpus
+==> 17: cpus smp1
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
@@ -48,5 +48,5 @@
 === End of Ready Set of Threads
 ==> 18: # GOAL: 0x0a010001 is heir and executing on CPU 0
-==> 19: cpus
+==> 19: cpus smp1
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
Index: schedsim/shell/schedsim_smpsimple/scenarios/cpus1_resume_on_primary.scen
===================================================================
--- schedsim/shell/schedsim_smpsimple/scenarios/cpus1_resume_on_primary.scen	(revision 4be3859c6e0bef1b2c8cf25ccdaf1f43e5486153)
+++ schedsim/shell/schedsim_smpsimple/scenarios/cpus1_resume_on_primary.scen	(revision 42888e1eb418b9153c71a2a80bf0a014fe8a4a7a)
@@ -5,15 +5,15 @@
 task_create smp1 5
 # GOAL: 0x0a010001 is heir and executing on CPU 0
-cpus
+cpus smp1
 # suspend running task
 task_suspend smp1
 # GOAL: 0x09010001 is heir and executing on CPU 0
-cpus
+cpus IDLE
 # GOAL: 0x09010001 is heir and executing on CPU 0
-cpus
+cpus IDLE
 # resume suspended task
 task_resume smp1
 # GOAL: 0x0a010001 is heir and executing on CPU 0
-cpus
+cpus smp1
 # GOAL: 0x0a010001 is heir and executing on CPU 0
-cpus
+cpus smp1
Index: schedsim/shell/schedsim_smpsimple/scenarios/cpus1_suspend_on_primary.expected
===================================================================
--- schedsim/shell/schedsim_smpsimple/scenarios/cpus1_suspend_on_primary.expected	(revision 4be3859c6e0bef1b2c8cf25ccdaf1f43e5486153)
+++ schedsim/shell/schedsim_smpsimple/scenarios/cpus1_suspend_on_primary.expected	(revision 42888e1eb418b9153c71a2a80bf0a014fe8a4a7a)
@@ -13,5 +13,5 @@
   CPU 0: Thread Heir: 0x0a010001 priority=5
   CPU 0: Thread Executing: 0x0a010001 priority=5
-==> 6: cpus
+==> 6: cpus smp1
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
@@ -23,5 +23,5 @@
   CPU 0: Thread Heir: 0x09010001 priority=255
   CPU 0: Thread Executing: 0x09010001 priority=255
-==> 9: cpus
+==> 9: cpus IDLE
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
@@ -29,5 +29,5 @@
 === End of Ready Set of Threads
 ==> 10: # GOAL: 0x09010001 is heir and executing on CPU 0
-==> 11: cpus
+==> 11: cpus IDLE
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
Index: schedsim/shell/schedsim_smpsimple/scenarios/cpus1_suspend_on_primary.scen
===================================================================
--- schedsim/shell/schedsim_smpsimple/scenarios/cpus1_suspend_on_primary.scen	(revision 4be3859c6e0bef1b2c8cf25ccdaf1f43e5486153)
+++ schedsim/shell/schedsim_smpsimple/scenarios/cpus1_suspend_on_primary.scen	(revision 42888e1eb418b9153c71a2a80bf0a014fe8a4a7a)
@@ -4,8 +4,8 @@
 rtems_init 1
 task_create smp1 5
-cpus
+cpus smp1
 # GOAL: 0x0a010001 is heir and executing on CPU 0
 task_suspend SELF
-cpus
+cpus IDLE
 # GOAL: 0x09010001 is heir and executing on CPU 0
-cpus
+cpus IDLE
Index: schedsim/shell/schedsim_smpsimple/scenarios/cpus4_pick_older.expected
===================================================================
--- schedsim/shell/schedsim_smpsimple/scenarios/cpus4_pick_older.expected	(revision 4be3859c6e0bef1b2c8cf25ccdaf1f43e5486153)
+++ schedsim/shell/schedsim_smpsimple/scenarios/cpus4_pick_older.expected	(revision 42888e1eb418b9153c71a2a80bf0a014fe8a4a7a)
@@ -39,5 +39,5 @@
 ==> 9: # GOAL: Tasks 0x0a010001 - 0x0a010004 as heir and executing
 ==> 10: # GOAL:    on CPUs 3 - 0 respectively
-==> 11: cpus
+==> 11: cpus smp4 smp3 smp2 smp1
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
@@ -58,5 +58,5 @@
 ==> 15: # GOAL: Tasks 0x0a010001, 0x0a010002, 0x0a010003, and 0x0a010005 are
 ==> 16: # GOAL:    heir and executing on CPUs 3 - 0 respectively
-==> 17: cpus
+==> 17: cpus smp5 smp3 smp2 smp1
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
@@ -77,5 +77,5 @@
 ==> 21: # GOAL: Tasks 0x0a010001, 0x0a010002, 0x0a010006, and 0x0a010005 are
 ==> 22: # GOAL:    heir and executing on CPUs 3 - 0 respectively
-==> 23: cpus
+==> 23: cpus smp5 smp6 smp2 smp1
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
@@ -96,5 +96,5 @@
 ==> 27: # GOAL: Tasks 0x0a010001, 0x0a010007, 0x0a010006, and 0x0a010005 are
 ==> 28: # GOAL:    heir and executing on CPUs 3 - 0 respectively
-==> 29: cpus
+==> 29: cpus smp5 smp6 smp7 smp1
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
@@ -112,7 +112,7 @@
   CPU 2: Thread Heir: 0x0a010008 priority=4
   CPU 2: Thread Executing: 0x0a010008 priority=4
-==> 33: # GOAL: Tasks 0x0a010001, 0x0a010007, 0x0a010006, and 0x0a010008 are
+==> 33: # GOAL: Tasks 0x0a010001, 0x0a010008, 0x0a010006, and 0x0a010005 are
 ==> 34: # GOAL:    heir and executing on CPUs 3 - 0 respectively
-==> 35: cpus
+==> 35: cpus smp5 smp6 smp8 smp1
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
Index: schedsim/shell/schedsim_smpsimple/scenarios/cpus4_pick_older.scen
===================================================================
--- schedsim/shell/schedsim_smpsimple/scenarios/cpus4_pick_older.scen	(revision 4be3859c6e0bef1b2c8cf25ccdaf1f43e5486153)
+++ schedsim/shell/schedsim_smpsimple/scenarios/cpus4_pick_older.scen	(revision 42888e1eb418b9153c71a2a80bf0a014fe8a4a7a)
@@ -9,5 +9,5 @@
 # GOAL: Tasks 0x0a010001 - 0x0a010004 as heir and executing
 # GOAL:    on CPUs 3 - 0 respectively
-cpus
+cpus smp4 smp3 smp2 smp1
 
 task_create smp5 5
@@ -15,5 +15,5 @@
 # GOAL: Tasks 0x0a010001, 0x0a010002, 0x0a010003, and 0x0a010005 are
 # GOAL:    heir and executing on CPUs 3 - 0 respectively
-cpus
+cpus smp5 smp3 smp2 smp1
 
 task_create smp6 5
@@ -21,5 +21,5 @@
 # GOAL: Tasks 0x0a010001, 0x0a010002, 0x0a010006, and 0x0a010005 are
 # GOAL:    heir and executing on CPUs 3 - 0 respectively
-cpus
+cpus smp5 smp6 smp2 smp1
 
 task_create smp7 5
@@ -27,9 +27,9 @@
 # GOAL: Tasks 0x0a010001, 0x0a010007, 0x0a010006, and 0x0a010005 are
 # GOAL:    heir and executing on CPUs 3 - 0 respectively
-cpus
+cpus smp5 smp6 smp7 smp1
 
 # We should pick task smp5 (0x0a010005) on CPU 0
 task_create smp8 4
-# GOAL: Tasks 0x0a010001, 0x0a010007, 0x0a010006, and 0x0a010008 are
+# GOAL: Tasks 0x0a010001, 0x0a010008, 0x0a010006, and 0x0a010005 are
 # GOAL:    heir and executing on CPUs 3 - 0 respectively
-cpus
+cpus smp5 smp6 smp8 smp1
Index: schedsim/shell/schedsim_smpsimple/scenarios/cpus4_priority.expected
===================================================================
--- schedsim/shell/schedsim_smpsimple/scenarios/cpus4_priority.expected	(revision 4be3859c6e0bef1b2c8cf25ccdaf1f43e5486153)
+++ schedsim/shell/schedsim_smpsimple/scenarios/cpus4_priority.expected	(revision 42888e1eb418b9153c71a2a80bf0a014fe8a4a7a)
@@ -43,5 +43,5 @@
 ==> 10: # GOAL: 0x0a010001 - 0x0a010004 are heir and executing
 ==> 11: # GOAL:   on CPUs 3 - 0 respectively
-==> 12: cpus
+==> 12: cpus smp4 smp3 smp2 smp1
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
@@ -56,5 +56,5 @@
 ==> 15: # GOAL: 0x0a010001 - 0x0a010004 are heir and executing
 ==> 16: # GOAL:   on CPUs 3 - 0 respectively (no change)
-==> 17: cpus
+==> 17: cpus smp4 smp3 smp2 smp1
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
@@ -69,5 +69,5 @@
 ==> 20: # GOAL: 0x0a010001 - 0x0a010004 are heir and executing
 ==> 21: # GOAL:   on CPUs 3 - 0 respectively (no change)
-==> 22: cpus
+==> 22: cpus smp4 smp3 smp2 smp1
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
@@ -84,5 +84,5 @@
 ==> 25: # GOAL: 0x0a010005, 0x0a010002 - 0x0a010004 are heir and executing
 ==> 26: # GOAL:   on CPUs 3 - 0 respectively
-==> 27: cpus
+==> 27: cpus smp4 smp3 smp2 smp5
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
@@ -99,5 +99,5 @@
 ==> 30: # GOAL: 0x0a010001 - 0x0a010004 are heir and executing
 ==> 31: # GOAL:   on CPUs 3 - 0 respectively
-==> 32: cpus
+==> 32: cpus smp4 smp3 smp2 smp1
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
Index: schedsim/shell/schedsim_smpsimple/scenarios/cpus4_priority.scen
===================================================================
--- schedsim/shell/schedsim_smpsimple/scenarios/cpus4_priority.scen	(revision 4be3859c6e0bef1b2c8cf25ccdaf1f43e5486153)
+++ schedsim/shell/schedsim_smpsimple/scenarios/cpus4_priority.scen	(revision 42888e1eb418b9153c71a2a80bf0a014fe8a4a7a)
@@ -10,23 +10,23 @@
 # GOAL: 0x0a010001 - 0x0a010004 are heir and executing
 # GOAL:   on CPUs 3 - 0 respectively
-cpus
+cpus smp4 smp3 smp2 smp1
 
 task_priority smp1 4
 # GOAL: 0x0a010001 - 0x0a010004 are heir and executing
 # GOAL:   on CPUs 3 - 0 respectively (no change)
-cpus
+cpus smp4 smp3 smp2 smp1
 
 task_priority smp1 7
 # GOAL: 0x0a010001 - 0x0a010004 are heir and executing
 # GOAL:   on CPUs 3 - 0 respectively (no change)
-cpus
+cpus smp4 smp3 smp2 smp1
 
 task_priority smp1 8
 # GOAL: 0x0a010005, 0x0a010002 - 0x0a010004 are heir and executing
 # GOAL:   on CPUs 3 - 0 respectively
-cpus
+cpus smp4 smp3 smp2 smp5
 
 task_priority smp1 5
 # GOAL: 0x0a010001 - 0x0a010004 are heir and executing
 # GOAL:   on CPUs 3 - 0 respectively
-cpus
+cpus smp4 smp3 smp2 smp1
Index: schedsim/shell/schedsim_smpsimple/scenarios/cpus4_simple_preemption.expected
===================================================================
--- schedsim/shell/schedsim_smpsimple/scenarios/cpus4_simple_preemption.expected	(revision 4be3859c6e0bef1b2c8cf25ccdaf1f43e5486153)
+++ schedsim/shell/schedsim_smpsimple/scenarios/cpus4_simple_preemption.expected	(revision 42888e1eb418b9153c71a2a80bf0a014fe8a4a7a)
@@ -39,5 +39,5 @@
 ==> 9: # GOAL: want 0x0a010001 - 0x0a010004 as heir and executings
 ==> 10: # GOAL:   on CPUs 3-0 respectively
-==> 11: cpus
+==> 11: cpus smp4 smp3 smp2 smp1
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
@@ -55,5 +55,5 @@
   CPU 2: Thread Executing: 0x0a010005 priority=1
 ==> 14: # GOAL: want 0x0a010005 to be heir on CPU 2
-==> 15: cpus
+==> 15: cpus smp4 smp3 smp5 smp1
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
@@ -64,5 +64,5 @@
 === End of Ready Set of Threads
 ==> 16: # GOAL: want 0x0a010005 to be heir AND executing on CPU 2
-==> 17: cpus
+==> 17: cpus smp4 smp3 smp5 smp1
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
Index: schedsim/shell/schedsim_smpsimple/scenarios/cpus4_simple_preemption.scen
===================================================================
--- schedsim/shell/schedsim_smpsimple/scenarios/cpus4_simple_preemption.scen	(revision 4be3859c6e0bef1b2c8cf25ccdaf1f43e5486153)
+++ schedsim/shell/schedsim_smpsimple/scenarios/cpus4_simple_preemption.scen	(revision 42888e1eb418b9153c71a2a80bf0a014fe8a4a7a)
@@ -9,9 +9,9 @@
 # GOAL: want 0x0a010001 - 0x0a010004 as heir and executings
 # GOAL:   on CPUs 3-0 respectively
-cpus
+cpus smp4 smp3 smp2 smp1
 # Tasks are created and distributed across CPUs
 task_create smp5 1
 # GOAL: want 0x0a010005 to be heir on CPU 2
-cpus
+cpus smp4 smp3 smp5 smp1
 # GOAL: want 0x0a010005 to be heir AND executing on CPU 2
-cpus
+cpus smp4 smp3 smp5 smp1
Index: schedsim/shell/schedsim_smpsimple/scenarios/cpus4_suspend_on_all.expected
===================================================================
--- schedsim/shell/schedsim_smpsimple/scenarios/cpus4_suspend_on_all.expected	(revision 4be3859c6e0bef1b2c8cf25ccdaf1f43e5486153)
+++ schedsim/shell/schedsim_smpsimple/scenarios/cpus4_suspend_on_all.expected	(revision 42888e1eb418b9153c71a2a80bf0a014fe8a4a7a)
@@ -39,5 +39,5 @@
 ==> 9: # GOAL: want 0x0a010001 - 0x0a010004 as heir and executings
 ==> 10: # GOAL:   on CPUs 0 - 3 respectively
-==> 11: cpus
+==> 11: cpus smp4 smp3 smp2 smp1
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
@@ -65,5 +65,5 @@
 ==> 16: # GOAL: want IDLE 0x09010001 - 0x09010004 as heir and executings
 ==> 17: # GOAL:   on CPUs 0 - 3 respectively
-==> 18: cpus
+==> 18: cpus IDLE IDLE IDLE IDLE
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
Index: schedsim/shell/schedsim_smpsimple/scenarios/cpus4_suspend_on_all.scen
===================================================================
--- schedsim/shell/schedsim_smpsimple/scenarios/cpus4_suspend_on_all.scen	(revision 4be3859c6e0bef1b2c8cf25ccdaf1f43e5486153)
+++ schedsim/shell/schedsim_smpsimple/scenarios/cpus4_suspend_on_all.scen	(revision 42888e1eb418b9153c71a2a80bf0a014fe8a4a7a)
@@ -9,5 +9,5 @@
 # GOAL: want 0x0a010001 - 0x0a010004 as heir and executings
 # GOAL:   on CPUs 0 - 3 respectively
-cpus
+cpus smp4 smp3 smp2 smp1
 task_suspend smp1
 task_suspend smp2
@@ -16,3 +16,3 @@
 # GOAL: want IDLE 0x09010001 - 0x09010004 as heir and executings
 # GOAL:   on CPUs 0 - 3 respectively
-cpus
+cpus IDLE IDLE IDLE IDLE
Index: schedsim/shell/schedsim_smpsimple/scenarios/cpus4_suspend_on_primary.expected
===================================================================
--- schedsim/shell/schedsim_smpsimple/scenarios/cpus4_suspend_on_primary.expected	(revision 4be3859c6e0bef1b2c8cf25ccdaf1f43e5486153)
+++ schedsim/shell/schedsim_smpsimple/scenarios/cpus4_suspend_on_primary.expected	(revision 42888e1eb418b9153c71a2a80bf0a014fe8a4a7a)
@@ -39,5 +39,5 @@
 ==> 9: # GOAL: want 0x0a010001 - 0x0a010004 as heir and executings
 ==> 10: # GOAL:   on CPUs 3-0 respectively
-==> 11: cpus
+==> 11: cpus smp4 smp3 smp2 smp1
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
@@ -52,5 +52,5 @@
   CPU 0: Thread Executing: 0x09010001 priority=255
 ==> 13: # GOAL: want 0x09010001 as heir and executing on CPU 0
-==> 14: cpus
+==> 14: cpus IDLE smp3 smp2 smp1
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
@@ -61,5 +61,5 @@
 === End of Ready Set of Threads
 ==> 15: # GOAL: want 0x09010001 as heir and executing on CPU 0
-==> 16: cpus
+==> 16: cpus IDLE smp3 smp2 smp1
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
Index: schedsim/shell/schedsim_smpsimple/scenarios/cpus4_suspend_on_primary.scen
===================================================================
--- schedsim/shell/schedsim_smpsimple/scenarios/cpus4_suspend_on_primary.scen	(revision 4be3859c6e0bef1b2c8cf25ccdaf1f43e5486153)
+++ schedsim/shell/schedsim_smpsimple/scenarios/cpus4_suspend_on_primary.scen	(revision 42888e1eb418b9153c71a2a80bf0a014fe8a4a7a)
@@ -9,8 +9,8 @@
 # GOAL: want 0x0a010001 - 0x0a010004 as heir and executings
 # GOAL:   on CPUs 3-0 respectively
-cpus
+cpus smp4 smp3 smp2 smp1
 task_suspend SELF
 # GOAL: want 0x09010001 as heir and executing on CPU 0
-cpus
+cpus IDLE smp3 smp2 smp1
 # GOAL: want 0x09010001 as heir and executing on CPU 0
-cpus
+cpus IDLE smp3 smp2 smp1
Index: schedsim/shell/schedsim_smpsimple/scenarios/cpus4_suspend_on_secondary.expected
===================================================================
--- schedsim/shell/schedsim_smpsimple/scenarios/cpus4_suspend_on_secondary.expected	(revision 4be3859c6e0bef1b2c8cf25ccdaf1f43e5486153)
+++ schedsim/shell/schedsim_smpsimple/scenarios/cpus4_suspend_on_secondary.expected	(revision 42888e1eb418b9153c71a2a80bf0a014fe8a4a7a)
@@ -39,5 +39,5 @@
 ==> 9: # GOAL: want 0x0a010001 - 0x0a010004 as heir and executings
 ==> 10: # GOAL:   on CPUs 3-0 respectively
-==> 11: cpus
+==> 11: cpus smp4 smp3 smp2 smp1
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
@@ -54,5 +54,5 @@
   CPU 2: Thread Executing: 0x09010001 priority=255
 ==> 14: # GOAL: Want IDLE 0x09010001 as heir and executing on CPU 2
-==> 15: cpus
+==> 15: cpus smp4 smp3 IDLE smp1
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
@@ -63,5 +63,5 @@
 === End of Ready Set of Threads
 ==> 16: # GOAL: Want IDLE 0x09010001 as heir and executing on CPU 2
-==> 17: cpus
+==> 17: cpus smp4 smp3 IDLE smp1
 === CPU Status
           EXECUTING      /   HEIR             / SWITCH NEEDED
Index: schedsim/shell/schedsim_smpsimple/scenarios/cpus4_suspend_on_secondary.scen
===================================================================
--- schedsim/shell/schedsim_smpsimple/scenarios/cpus4_suspend_on_secondary.scen	(revision 4be3859c6e0bef1b2c8cf25ccdaf1f43e5486153)
+++ schedsim/shell/schedsim_smpsimple/scenarios/cpus4_suspend_on_secondary.scen	(revision 42888e1eb418b9153c71a2a80bf0a014fe8a4a7a)
@@ -9,9 +9,9 @@
 # GOAL: want 0x0a010001 - 0x0a010004 as heir and executings
 # GOAL:   on CPUs 3-0 respectively
-cpus
+cpus smp4 smp3 smp2 smp1
 current_cpu 2
 task_suspend SELF
 # GOAL: Want IDLE 0x09010001 as heir and executing on CPU 2
-cpus
+cpus smp4 smp3 IDLE smp1
 # GOAL: Want IDLE 0x09010001 as heir and executing on CPU 2
-cpus
+cpus smp4 smp3 IDLE smp1